diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/l10n.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/l10n.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/l10n.php	2012-10-31 16:30:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/l10n.php	2013-09-30 14:47:12.000000000 -0500
***************
*** 7,13 ****
   */
  
  /**
!  * Gets the current locale.
   *
   * If the locale is set, then it will filter the locale in the 'locale' filter
   * hook and return the value.
--- 7,13 ----
   */
  
  /**
!  * Get the current locale.
   *
   * If the locale is set, then it will filter the locale in the 'locale' filter
   * hook and return the value.
***************
*** 20,27 ****
   * always be filtered using the 'locale' hook.
   *
   * @since 1.5.0
-  * @uses apply_filters() Calls 'locale' hook on locale value.
-  * @uses $locale Gets the locale stored in the global.
   *
   * @return string The locale of the blog or from the 'locale' hook.
   */
--- 20,25 ----
***************
*** 29,34 ****
--- 27,39 ----
  	global $locale;
  
  	if ( isset( $locale ) )
+ 		/**
+ 		 * Filter WordPress install's locale ID.
+ 		 *
+ 		 * @since 1.5.2
+ 		 *
+ 		 * @param string $locale The locale ID.
+ 		 */
  		return apply_filters( 'locale', $locale );
  
  	// WPLANG is defined in wp-config.
***************
*** 48,74 ****
  	if ( empty( $locale ) )
  		$locale = 'en_US';
  
  	return apply_filters( 'locale', $locale );
  }
  
  /**
!  * Retrieves the translation of $text. If there is no translation, or
!  * the domain isn't loaded, the original text is returned.
   *
-  * @see __() Don't use translate() directly, use __()
   * @since 2.2.0
-  * @uses apply_filters() Calls 'gettext' on domain translated text
-  *		with the untranslated text as second parameter.
   *
!  * @param string $text Text to translate.
!  * @param string $domain Domain to retrieve the translated text.
   * @return string Translated text
   */
  function translate( $text, $domain = 'default' ) {
  	$translations = get_translations_for_domain( $domain );
! 	return apply_filters( 'gettext', $translations->translate( $text ), $text, $domain );
  }
  
  function before_last_bar( $string ) {
  	$last_bar = strrpos( $string, '|' );
  	if ( false == $last_bar )
--- 53,101 ----
  	if ( empty( $locale ) )
  		$locale = 'en_US';
  
+ 	// duplicate_hook
  	return apply_filters( 'locale', $locale );
  }
  
  /**
!  * Retrieve the translation of $text.
!  *
!  * If there is no translation, or the text domain isn't loaded, the original text is returned.
!  *
!  * <strong>Note:</strong> Don't use translate() directly, use __() or related functions.
   *
   * @since 2.2.0
   *
!  * @param string $text   Text to translate.
!  * @param string $domain Optional. Text domain. Unique identifier for retrieving translated strings.
   * @return string Translated text
   */
  function translate( $text, $domain = 'default' ) {
  	$translations = get_translations_for_domain( $domain );
! 	$translations = $translations->translate( $text );
! 	/**
! 	 * Filter text with its translation.
! 	 *
! 	 * @since 2.0.11
! 	 *
! 	 * @param string $translations Translated text.
! 	 * @param string $text         Text to translate.
! 	 * @param string $domain       Text domain. Unique identifier for retrieving translated strings.
! 	 */
! 	return apply_filters( 'gettext', $translations, $text, $domain );
  }
  
+ /**
+  * Remove last item on a pipe-delimited string.
+  *
+  * Meant for removing the last item in a string, such as 'Role name|User role'. The original
+  * string will be returned if no pipe '|' characters are found in the string.
+  *
+  * @since 2.8.0
+  *
+  * @param string $string A pipe-delimited string.
+  * @return string Either $string or everything before the last pipe.
+  */
  function before_last_bar( $string ) {
  	$last_bar = strrpos( $string, '|' );
  	if ( false == $last_bar )
***************
*** 77,128 ****
  		return substr( $string, 0, $last_bar );
  }
  
  function translate_with_gettext_context( $text, $context, $domain = 'default' ) {
  	$translations = get_translations_for_domain( $domain );
! 	return apply_filters( 'gettext_with_context', $translations->translate( $text, $context ), $text, $context, $domain );
  }
  
  /**
!  * Retrieves the translation of $text. If there is no translation, or
!  * the domain isn't loaded, the original text is returned.
   *
-  * @see translate() An alias of translate()
   * @since 2.1.0
   *
!  * @param string $text Text to translate
!  * @param string $domain Optional. Domain to retrieve the translated text
!  * @return string Translated text
   */
  function __( $text, $domain = 'default' ) {
  	return translate( $text, $domain );
  }
  
  /**
!  * Retrieves the translation of $text and escapes it for safe use in an attribute.
!  * If there is no translation, or the domain isn't loaded, the original text is returned.
   *
-  * @see translate() An alias of translate()
-  * @see esc_attr()
   * @since 2.8.0
   *
!  * @param string $text Text to translate
!  * @param string $domain Optional. Domain to retrieve the translated text
!  * @return string Translated text
   */
  function esc_attr__( $text, $domain = 'default' ) {
  	return esc_attr( translate( $text, $domain ) );
  }
  
  /**
!  * Retrieves the translation of $text and escapes it for safe use in HTML output.
!  * If there is no translation, or the domain isn't loaded, the original text is returned.
   *
-  * @see translate() An alias of translate()
-  * @see esc_html()
   * @since 2.8.0
   *
!  * @param string $text Text to translate
!  * @param string $domain Optional. Domain to retrieve the translated text
   * @return string Translated text
   */
  function esc_html__( $text, $domain = 'default' ) {
--- 104,176 ----
  		return substr( $string, 0, $last_bar );
  }
  
+ /**
+  * Retrieve the translation of $text in the context defined in $context.
+  *
+  * If there is no translation, or the text domain isn't loaded the original
+  * text is returned.
+  *
+  * @since 2.8.0
+  *
+  * @param string $text    Text to translate.
+  * @param string $context Context information for the translators.
+  * @param string $domain  Optional. Text domain. Unique identifier for retrieving translated strings.
+  * @return string Translated text on success, original text on failure.
+  */
  function translate_with_gettext_context( $text, $context, $domain = 'default' ) {
  	$translations = get_translations_for_domain( $domain );
! 	$translations = $translations->translate( $text, $context );
! 	/**
! 	 * Filter text with its translation based on context information.
! 	 *
! 	 * @since 2.8.0
! 	 *
! 	 * @param string $translations Translated text.
! 	 * @param string $text         Text to translate.
! 	 * @param string $context      Context information for the translators.
! 	 * @param string $domain       Text domain. Unique identifier for retrieving translated strings.
! 	 */
! 	return apply_filters( 'gettext_with_context', $translations, $text, $context, $domain );
  }
  
  /**
!  * Retrieve the translation of $text. If there is no translation,
!  * or the text domain isn't loaded, the original text is returned.
   *
   * @since 2.1.0
   *
!  * @param string $text   Text to translate.
!  * @param string $domain Optional. Text domain. Unique identifier for retrieving translated strings.
!  * @return string Translated text.
   */
  function __( $text, $domain = 'default' ) {
  	return translate( $text, $domain );
  }
  
  /**
!  * Retrieve the translation of $text and escapes it for safe use in an attribute.
!  *
!  * If there is no translation, or the text domain isn't loaded, the original text is returned.
   *
   * @since 2.8.0
   *
!  * @param string $text   Text to translate.
!  * @param string $domain Optional. Text domain. Unique identifier for retrieving translated strings.
!  * @return string Translated text on success, original text on failure.
   */
  function esc_attr__( $text, $domain = 'default' ) {
  	return esc_attr( translate( $text, $domain ) );
  }
  
  /**
!  * Retrieve the translation of $text and escapes it for safe use in HTML output.
!  *
!  * If there is no translation, or the text domain isn't loaded, the original text is returned.
   *
   * @since 2.8.0
   *
!  * @param string $text   Text to translate.
!  * @param string $domain Optional. Text domain. Unique identifier for retrieving translated strings.
   * @return string Translated text
   */
  function esc_html__( $text, $domain = 'default' ) {
***************
*** 130,278 ****
  }
  
  /**
!  * Displays the returned translated text from translate().
   *
-  * @see translate() Echoes returned translate() string
   * @since 1.2.0
   *
!  * @param string $text Text to translate
!  * @param string $domain Optional. Domain to retrieve the translated text
   */
  function _e( $text, $domain = 'default' ) {
  	echo translate( $text, $domain );
  }
  
  /**
!  * Displays translated text that has been escaped for safe use in an attribute.
   *
-  * @see translate() Echoes returned translate() string
-  * @see esc_attr()
   * @since 2.8.0
   *
!  * @param string $text Text to translate
!  * @param string $domain Optional. Domain to retrieve the translated text
   */
  function esc_attr_e( $text, $domain = 'default' ) {
  	echo esc_attr( translate( $text, $domain ) );
  }
  
  /**
!  * Displays translated text that has been escaped for safe use in HTML output.
   *
-  * @see translate() Echoes returned translate() string
-  * @see esc_html()
   * @since 2.8.0
   *
!  * @param string $text Text to translate
!  * @param string $domain Optional. Domain to retrieve the translated text
   */
  function esc_html_e( $text, $domain = 'default' ) {
  	echo esc_html( translate( $text, $domain ) );
  }
  
  /**
!  * Retrieve translated string with gettext context
   *
   * Quite a few times, there will be collisions with similar translatable text
!  * found in more than two places but with different translated context.
   *
!  * By including the context in the pot file translators can translate the two
   * strings differently.
   *
   * @since 2.8.0
   *
!  * @param string $text Text to translate
!  * @param string $context Context information for the translators
!  * @param string $domain Optional. Domain to retrieve the translated text
!  * @return string Translated context string without pipe
   */
  function _x( $text, $context, $domain = 'default' ) {
  	return translate_with_gettext_context( $text, $context, $domain );
  }
  
  /**
!  * Displays translated string with gettext context
   *
-  * @see _x
   * @since 3.0.0
   *
!  * @param string $text Text to translate
!  * @param string $context Context information for the translators
!  * @param string $domain Optional. Domain to retrieve the translated text
!  * @return string Translated context string without pipe
   */
  function _ex( $text, $context, $domain = 'default' ) {
  	echo _x( $text, $context, $domain );
  }
  
! function esc_attr_x( $single, $context, $domain = 'default' ) {
! 	return esc_attr( translate_with_gettext_context( $single, $context, $domain ) );
  }
  
! function esc_html_x( $single, $context, $domain = 'default' ) {
! 	return esc_html( translate_with_gettext_context( $single, $context, $domain ) );
  }
  
  /**
!  * Retrieve the plural or single form based on the amount.
   *
!  * If the domain is not set in the $l10n list, then a comparison will be made
   * and either $plural or $single parameters returned.
   *
!  * If the domain does exist, then the parameters $single, $plural, and $number
!  * will first be passed to the domain's ngettext method. Then it will be passed
   * to the 'ngettext' filter hook along with the same parameters. The expected
   * type will be a string.
   *
   * @since 2.8.0
!  * @uses $l10n Gets list of domain translated string (gettext_reader) objects
!  * @uses apply_filters() Calls 'ngettext' hook on domains text returned,
!  *		along with $single, $plural, and $number parameters. Expected to return string.
!  *
!  * @param string $single The text that will be used if $number is 1
!  * @param string $plural The text that will be used if $number is not 1
!  * @param int $number The number to compare against to use either $single or $plural
!  * @param string $domain Optional. The domain identifier the text should be retrieved in
!  * @return string Either $single or $plural translated text
   */
  function _n( $single, $plural, $number, $domain = 'default' ) {
  	$translations = get_translations_for_domain( $domain );
  	$translation = $translations->translate_plural( $single, $plural, $number );
  	return apply_filters( 'ngettext', $translation, $single, $plural, $number, $domain );
  }
  
  /**
!  * A hybrid of _n() and _x(). It supports contexts and plurals.
   *
!  * @see _n()
!  * @see _x()
   *
   */
  function _nx($single, $plural, $number, $context, $domain = 'default') {
  	$translations = get_translations_for_domain( $domain );
  	$translation = $translations->translate_plural( $single, $plural, $number, $context );
  	return apply_filters( 'ngettext_with_context', $translation, $single, $plural, $number, $context, $domain );
  }
  
  /**
   * Register plural strings in POT file, but don't translate them.
   *
!  * Used when you want to keep structures with translatable plural strings and
!  * use them later.
   *
   * Example:
!  *  $messages = array(
   *  	'post' => _n_noop('%s post', '%s posts'),
   *  	'page' => _n_noop('%s pages', '%s pages')
!  *  );
!  *  ...
!  *  $message = $messages[$type];
!  *  $usable_text = sprintf( translate_nooped_plural( $message, $count ), $count );
!  *
!  * @since 2.5
!  * @param string $singular Single form to be i18ned
!  * @param string $plural Plural form to be i18ned
!  * @param string $domain Optional. The domain identifier the text will be retrieved in
   * @return array array($singular, $plural)
   */
  function _n_noop( $singular, $plural, $domain = null ) {
--- 178,370 ----
  }
  
  /**
!  * Display translated text.
   *
   * @since 1.2.0
   *
!  * @param string $text   Text to translate.
!  * @param string $domain Optional. Text domain. Unique identifier for retrieving translated strings.
   */
  function _e( $text, $domain = 'default' ) {
  	echo translate( $text, $domain );
  }
  
  /**
!  * Display translated text that has been escaped for safe use in an attribute.
   *
   * @since 2.8.0
   *
!  * @param string $text   Text to translate.
!  * @param string $domain Optional. Text domain. Unique identifier for retrieving translated strings.
   */
  function esc_attr_e( $text, $domain = 'default' ) {
  	echo esc_attr( translate( $text, $domain ) );
  }
  
  /**
!  * Display translated text that has been escaped for safe use in HTML output.
   *
   * @since 2.8.0
   *
!  * @param string $text   Text to translate.
!  * @param string $domain Optional. Text domain. Unique identifier for retrieving translated strings.
   */
  function esc_html_e( $text, $domain = 'default' ) {
  	echo esc_html( translate( $text, $domain ) );
  }
  
  /**
!  * Retrieve translated string with gettext context.
   *
   * Quite a few times, there will be collisions with similar translatable text
!  * found in more than two places, but with different translated context.
   *
!  * By including the context in the pot file, translators can translate the two
   * strings differently.
   *
   * @since 2.8.0
   *
!  * @param string $text    Text to translate.
!  * @param string $context Context information for the translators.
!  * @param string $domain  Optional. Text domain. Unique identifier for retrieving translated strings.
!  * @return string Translated context string without pipe.
   */
  function _x( $text, $context, $domain = 'default' ) {
  	return translate_with_gettext_context( $text, $context, $domain );
  }
  
  /**
!  * Display translated string with gettext context.
   *
   * @since 3.0.0
   *
!  * @param string $text    Text to translate.
!  * @param string $context Context information for the translators.
!  * @param string $domain  Optional. Text domain. Unique identifier for retrieving translated strings.
!  * @return string Translated context string without pipe.
   */
  function _ex( $text, $context, $domain = 'default' ) {
  	echo _x( $text, $context, $domain );
  }
  
! /**
!  * Translate string with gettext context, and escapes it for safe use in an attribute.
!  *
!  * @since 2.8.0
!  *
!  * @param string $text    Text to translate.
!  * @param string $context Context information for the translators.
!  * @param string $domain  Optional. Text domain. Unique identifier for retrieving translated strings.
!  * @return string Translated text
!  */
! function esc_attr_x( $text, $context, $domain = 'default' ) {
! 	return esc_attr( translate_with_gettext_context( $text, $context, $domain ) );
  }
  
! /**
!  * Translate string with gettext context, and escapes it for safe use in HTML output.
!  *
!  * @since 2.9.0
!  *
!  * @param string $text    Text to translate.
!  * @param string $context Context information for the translators.
!  * @param string $domain  Optional. Text domain. Unique identifier for retrieving translated strings.
!  * @return string Translated text.
!  */
! function esc_html_x( $text, $context, $domain = 'default' ) {
! 	return esc_html( translate_with_gettext_context( $text, $context, $domain ) );
  }
  
  /**
!  * Retrieve the plural or single form based on the supplied amount.
   *
!  * If the text domain is not set in the $l10n list, then a comparison will be made
   * and either $plural or $single parameters returned.
   *
!  * If the text domain does exist, then the parameters $single, $plural, and $number
!  * will first be passed to the text domain's ngettext method. Then it will be passed
   * to the 'ngettext' filter hook along with the same parameters. The expected
   * type will be a string.
   *
   * @since 2.8.0
!  *
!  * @param string $single The text that will be used if $number is 1.
!  * @param string $plural The text that will be used if $number is not 1.
!  * @param int    $number The number to compare against to use either $single or $plural.
!  * @param string $domain Optional. Text domain. Unique identifier for retrieving translated strings.
!  * @return string Either $single or $plural translated text.
   */
  function _n( $single, $plural, $number, $domain = 'default' ) {
  	$translations = get_translations_for_domain( $domain );
  	$translation = $translations->translate_plural( $single, $plural, $number );
+ 	/**
+ 	 * Filter text with its translation when plural option is available.
+ 	 *
+ 	 * @since 2.2.0
+ 	 *
+ 	 * @param string $translation Translated text.
+ 	 * @param string $single      The text that will be used if $number is 1.
+ 	 * @param string $plural      The text that will be used if $number is not 1.
+ 	 * @param string $number      The number to compare against to use either $single or $plural.
+ 	 * @param string $domain      Text domain. Unique identifier for retrieving translated strings.
+ 	 */
  	return apply_filters( 'ngettext', $translation, $single, $plural, $number, $domain );
  }
  
  /**
!  * Retrieve the plural or single form based on the supplied amount with gettext context.
   *
!  * This is a hybrid of _n() and _x(). It supports contexts and plurals.
   *
+  * @since 2.8.0
+  *
+  * @param string $single  The text that will be used if $number is 1.
+  * @param string $plural  The text that will be used if $number is not 1.
+  * @param int    $number  The number to compare against to use either $single or $plural.
+  * @param string $context Context information for the translators.
+  * @param string $domain  Optional. Text domain. Unique identifier for retrieving translated strings.
+  * @return string Either $single or $plural translated text with context.
   */
  function _nx($single, $plural, $number, $context, $domain = 'default') {
  	$translations = get_translations_for_domain( $domain );
  	$translation = $translations->translate_plural( $single, $plural, $number, $context );
+ 	/**
+ 	 * Filter text with its translation while plural option and context are available.
+ 	 *
+ 	 * @since 2.8.0
+ 	 *
+ 	 * @param string $translation Translated text.
+ 	 * @param string $single      The text that will be used if $number is 1.
+ 	 * @param string $plural      The text that will be used if $number is not 1.
+ 	 * @param string $number      The number to compare against to use either $single or $plural.
+ 	 * @param string $context     Context information for the translators.
+ 	 * @param string $domain      Text domain. Unique identifier for retrieving translated strings.
+ 	 */
  	return apply_filters( 'ngettext_with_context', $translation, $single, $plural, $number, $context, $domain );
  }
  
  /**
   * Register plural strings in POT file, but don't translate them.
   *
!  * Used when you want to keep structures with translatable plural
!  * strings and use them later.
   *
   * Example:
!  * <code>
!  * $messages = array(
   *  	'post' => _n_noop('%s post', '%s posts'),
   *  	'page' => _n_noop('%s pages', '%s pages')
!  * );
!  * ...
!  * $message = $messages[$type];
!  * $usable_text = sprintf( translate_nooped_plural( $message, $count ), $count );
!  * </code>
!  *
!  * @since 2.5.0
!  *
!  * @param string $singular Single form to be i18ned.
!  * @param string $plural   Plural form to be i18ned.
!  * @param string $domain   Optional. Text domain. Unique identifier for retrieving translated strings.
   * @return array array($singular, $plural)
   */
  function _n_noop( $singular, $plural, $domain = null ) {
***************
*** 282,301 ****
  /**
   * Register plural strings with context in POT file, but don't translate them.
   *
!  * @see _n_noop()
   */
  function _nx_noop( $singular, $plural, $context, $domain = null ) {
  	return array( 0 => $singular, 1 => $plural, 2 => $context, 'singular' => $singular, 'plural' => $plural, 'context' => $context, 'domain' => $domain );
  }
  
  /**
!  * Translate the result of _n_noop() or _nx_noop()
   *
!  * @since 3.1
!  * @param array $nooped_plural Array with singular, plural and context keys, usually the result of _n_noop() or _nx_noop()
!  * @param int $count Number of objects
!  * @param string $domain Optional. The domain identifier the text should be retrieved in. If $nooped_plural contains
!  * 	a domain passed to _n_noop() or _nx_noop(), it will override this value.
   */
  function translate_nooped_plural( $nooped_plural, $count, $domain = 'default' ) {
  	if ( $nooped_plural['domain'] )
--- 374,395 ----
  /**
   * Register plural strings with context in POT file, but don't translate them.
   *
!  * @since 2.8.0
   */
  function _nx_noop( $singular, $plural, $context, $domain = null ) {
  	return array( 0 => $singular, 1 => $plural, 2 => $context, 'singular' => $singular, 'plural' => $plural, 'context' => $context, 'domain' => $domain );
  }
  
  /**
!  * Translate the result of _n_noop() or _nx_noop().
   *
!  * @since 3.1.0
!  *
!  * @param array  $nooped_plural Array with singular, plural and context keys, usually the result of _n_noop() or _nx_noop()
!  * @param int    $count         Number of objects
!  * @param string $domain        Optional. Text domain. Unique identifier for retrieving translated strings. If $nooped_plural contains
!  *                              a text domain passed to _n_noop() or _nx_noop(), it will override this value.
!  * @return string Either $single or $plural translated text.
   */
  function translate_nooped_plural( $nooped_plural, $count, $domain = 'default' ) {
  	if ( $nooped_plural['domain'] )
***************
*** 308,339 ****
  }
  
  /**
!  * Loads a MO file into the domain $domain.
   *
!  * If the domain already exists, the translations will be merged. If both
   * sets have the same string, the translation from the original value will be taken.
   *
   * On success, the .mo file will be placed in the $l10n global by $domain
   * and will be a MO object.
   *
   * @since 1.5.0
-  * @uses $l10n Gets list of domain translated string objects
   *
!  * @param string $domain Unique identifier for retrieving translated strings
!  * @param string $mofile Path to the .mo file
!  * @return bool True on success, false on failure
   */
  function load_textdomain( $domain, $mofile ) {
  	global $l10n;
  
  	$plugin_override = apply_filters( 'override_load_textdomain', false, $domain, $mofile );
  
  	if ( true == $plugin_override ) {
  		return true;
  	}
  
  	do_action( 'load_textdomain', $domain, $mofile );
  
  	$mofile = apply_filters( 'load_textdomain_mofile', $mofile, $domain );
  
  	if ( !is_readable( $mofile ) ) return false;
--- 402,457 ----
  }
  
  /**
!  * Load a .mo file into the text domain $domain.
   *
!  * If the text domain already exists, the translations will be merged. If both
   * sets have the same string, the translation from the original value will be taken.
   *
   * On success, the .mo file will be placed in the $l10n global by $domain
   * and will be a MO object.
   *
   * @since 1.5.0
   *
!  * @param string $domain Text domain. Unique identifier for retrieving translated strings.
!  * @param string $mofile Path to the .mo file.
!  * @return bool True on success, false on failure.
   */
  function load_textdomain( $domain, $mofile ) {
  	global $l10n;
  
+ 	/**
+ 	 * Filter text domain and/or MO file path for loading translations.
+ 	 *
+ 	 * @since 2.9.0
+ 	 *
+ 	 * @param boolean        Whether to override the text domain. Default false.
+ 	 * @param string $domain Text domain. Unique identifier for retrieving translated strings.
+ 	 * @param string $mofile Path to the MO file.
+ 	 */
  	$plugin_override = apply_filters( 'override_load_textdomain', false, $domain, $mofile );
  
  	if ( true == $plugin_override ) {
  		return true;
  	}
  
+ 	/**
+ 	 * Fires before the MO translation file is loaded.
+ 	 *
+ 	 * @since 2.9.0
+ 	 *
+ 	 * @param string $domain Text domain. Unique identifier for retrieving translated strings.
+ 	 * @param string $mofile Path to the .mo file.
+ 	 */
  	do_action( 'load_textdomain', $domain, $mofile );
  
+ 	/**
+ 	 * Filter MO file path for loading translations for a specific text domain.
+ 	 *
+ 	 * @since 2.9.0
+ 	 *
+ 	 * @param string $mofile Path to the MO file.
+ 	 * @param string $domain Text domain. Unique identifier for retrieving translated strings.
+ 	 */
  	$mofile = apply_filters( 'load_textdomain_mofile', $mofile, $domain );
  
  	if ( !is_readable( $mofile ) ) return false;
***************
*** 350,369 ****
  }
  
  /**
!  * Unloads translations for a domain
   *
   * @since 3.0.0
!  * @param string $domain Textdomain to be unloaded
!  * @return bool Whether textdomain was unloaded
   */
  function unload_textdomain( $domain ) {
  	global $l10n;
  
  	$plugin_override = apply_filters( 'override_unload_textdomain', false, $domain );
  
  	if ( $plugin_override )
  		return true;
  
  	do_action( 'unload_textdomain', $domain );
  
  	if ( isset( $l10n[$domain] ) ) {
--- 468,503 ----
  }
  
  /**
!  * Unload translations for a text domain.
   *
   * @since 3.0.0
!  *
!  * @param string $domain Text domain. Unique identifier for retrieving translated strings.
!  * @return bool Whether textdomain was unloaded.
   */
  function unload_textdomain( $domain ) {
  	global $l10n;
  
+ 	/**
+ 	 * Filter text text domain for loading translation.
+ 	 *
+ 	 * @since 3.0.0
+ 	 *
+ 	 * @param boolean        Whether to override unloading the text domain. Default false.
+ 	 * @param string $domain Text domain. Unique identifier for retrieving translated strings.
+ 	 */
  	$plugin_override = apply_filters( 'override_unload_textdomain', false, $domain );
  
  	if ( $plugin_override )
  		return true;
  
+ 	/**
+ 	 * Fires before the text domain is unloaded.
+ 	 *
+ 	 * @since 3.0.0
+ 	 *
+ 	 * @param string $domain Text domain. Unique identifier for retrieving translated strings.
+ 	 */
  	do_action( 'unload_textdomain', $domain );
  
  	if ( isset( $l10n[$domain] ) ) {
***************
*** 375,384 ****
  }
  
  /**
!  * Loads default translated strings based on locale.
   *
!  * Loads the .mo file in WP_LANG_DIR constant path from WordPress root. The
!  * translated (.mo) file is named based on the locale.
   *
   * @since 1.5.0
   */
--- 509,520 ----
  }
  
  /**
!  * Load default translated strings based on locale.
   *
!  * Loads the .mo file in WP_LANG_DIR constant path from WordPress root.
!  * The translated (.mo) file is named based on the locale.
!  *
!  * @see load_textdomain()
   *
   * @since 1.5.0
   */
